// Copyright 2024 The Forgejo Authors
// SPDX-License-Identifier: AGPL-3.0-or-later

package v1_22 //nolint

import (
	"code.gitea.io/gitea/models/federation"
	"code.gitea.io/gitea/modules/log"
	"xorm.io/xorm"
)

// HookTask represents a hook task.
// exact copy of models/webhook/hooktask.go when this migration was created
//   - xorm:"-" fields deleted
//type FederatedUser struct {
//	ID               int64  `xorm:"pk autoincr"`
//	UserID           int64  `xorm:"INDEX"`
//	ExternalID       string `xorm:"UNIQUE(s) INDEX"`
//	FederationHostID int64  `xorm:"INDEX"`
//}

func AddFederatedUser(x *xorm.Engine) error {
	log.Info("Running Add user migration")
	return x.Sync(new(federation.FederatedUser))
}
